Subject: Re: [PATCH] [ci] Update GitHub Actions to latest major release / GitHub #2278

From: Junio C Hamano <[email-masked]>
Date: Sat, 25 Apr 2026 19:37:31 +0900

Christoph Grüninger <[email-masked]> writes:

> Dear Git developer!
>
> I repost my suggested contribution from:
>
> https://github.com/git/git/pull/2278

Glad to see new people show interest in joining the Git development
community.  Documentation/SubmittingPatches would help.

> I updated all GitHub Actions to their latest major release. In contrast 
> to "ci: GitHub Actions updates" (brought to you by Dependabot 
> (https://lore.kernel.org/git/[email-masked]/T/#t), 
> I update some more standard actions and mshick/add-pr-comment.
> They fix deprecation warnings that GitHub Action deprecated Node20.js.
>
> Kind regards,
> Christoph

Thanks.